<?php
/**
 * vs_featured_admin.php
 * @author  Sean Barton <info@pro-webs.net>
 * @copyright Copyright 2008 PRO-Webs.net
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License V2.0
 */
require('includes/application_top.php');

$vs_template_common = DIR_FS_CATALOG_TEMPLATES . 'template_default/common';
require_once($vs_template_common . '/vs_featured_functions.php');

require(DIR_WS_CLASSES . 'currencies.php');
$currencies = new currencies();

$action = (isset($_GET['action']) ? $_GET['action'] : '');

if (zen_not_null($action)) {
	switch ($action) {
		case 'insert':
				
			$sql = 'INSERT INTO ' . DB_PREFIX . 'vs_display SET
						type="' . $_POST['type'] . '"
						, key_type="' . $_POST['key_type'] . '"
						, key_id="' . $_POST['key_id'] . '"
						, excludes="' . $_POST['excludes'] . '"';
			$db->Execute($sql);
				
			zen_redirect(zen_href_link('vs_featured_admin.php', 'page=' . $_GET['page'] . '&id=' . $_POST['id']));
			break;
		case 'update':

			$sql = 'UPDATE ' . DB_PREFIX . 'vs_display SET
						type="' . $_POST['type'] . '"
						, key_type="' . $_POST['key_type'] . '"
						, key_id="' . $_POST['key_id'] . '"
						, excludes="' . $_POST['excludes'] . '"
					WHERE id = ' . $_POST['id'];
			$db->Execute($sql);

			zen_redirect(zen_href_link('vs_featured_admin.php', 'page=' . $_GET['page'] . '&id=' . $_POST['id']));
			break;
		case 'delete':
			$db->Execute("delete from " . DB_PREFIX . "vs_display where id = " . $_GET['id']);

			zen_redirect(zen_href_link('vs_featured_admin.php', 'page=' . $_GET['page']));
			break;
	}
}
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type"
	content="text/html; charset=<?php echo CHARSET; ?>">
<title>VS Featured</title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css"
	href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script type="text/javascript">
  <!--
  function init()
  {
    cssjsmenu('navbar');
    if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
    }
  }
  // -->
</script>
</head>
<body onload="init()">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
	<tr>
		<!-- body_text //-->
		<td width="100%" valign="top">
		<table border="0" width="100%" cellspacing="0" cellpadding="2">

			<tr>
				<td>
				<table border="0" width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td class="pageHeading">VS Featured Product Administration</td>
						<td class="pageHeading" align="right"><?php echo zen_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
						<td class="smallText" align="right"></td>
					</tr>
				</table>
				This page allows you to edit the settings for the VS Featured
				product boxes. The table below shows the contents of the <?php echo DB_PREFIX; ?>vs_display
				table in the database. Use the add, edit and remove buttons to
				manage the contents. Below the table is a number of settings stored
				in the <?php echo DB_PREFIX; ?>vs_meta table that you can update
				also.</td>
			</tr>
		</table>
		</td>
	</tr>

	<?php
	if (empty($action)) {
		?>

	<td style="text-align: right;"><?php echo '<a href="' . zen_href_link('vs_featured_admin.php', 'action=new') . '">
			' . zen_image_button('button_new_product.gif', 'New Box') . '
		</a>'; ?></td>

	<?php
	}

	if ( ($action == 'new') || ($action == 'edit') ) {
		$form_action = 'insert';

		if ( ($action == 'edit') && isset($_GET['id']) ) {
			$form_action = 'update';

			$sql = 'SELECT *
					FROM ' . DB_PREFIX . 'vs_display
					WHERE id = ' . $_GET['id'];
			$display = $db->Execute($sql);
		}
		?>

	<tr>
		<form name="new_featured"
		<?php echo 'action="' . zen_href_link('vs_featured_admin.php', zen_get_all_get_params(array('action', 'info', 'id')) . 'action=' . $form_action . '&go_back=' . $_GET['go_back'], 'NONSSL') . '"'; ?>
			method="post">
		
		<?php

		if ($form_action == 'update') {
			echo '<input type="hidden" name="id" value="' . $_GET['id'] . '" />';	
		}
		
		?>
		
		<td><br>
		<table border="0" cellspacing="0" cellpadding="2">
			<tr>
				<td class="main">Box Type</td>
				<td class="main"><select name="type">
					<option value="sidebar"
					<?php if ($display->fields['type'] == 'sidebar') echo 'selected="selected"'; ?>>Sidebar</option>
					<option value="homepage"
					<?php if ($display->fields['type'] == 'homepage') echo 'selected="selected"'; ?>>Homepage
					(General)</option>
				</select></td>
			</tr>
			<tr>
				<td class="main">Box Content Type</td>
				<td class="main"><select name="key_type">
					<option value="random"
					<?php if ($display->fields['key_type'] == 'random') echo 'selected="selected"'; ?>>Random
					Featured</option>
					<option value="random_from_category"
					<?php if ($display->fields['key_type'] == 'random_from_category') echo 'selected="selected"'; ?>>Random
					From Category</option>
					<option value="product_id"
					<?php if ($display->fields['key_type'] == 'product_id') echo 'selected="selected"'; ?>>Specific
					Product</option>
				</select></td>
			</tr>
			<tr>
				<td class="main">Key ID (Product ID or Category ID. Leave blank for
				random)</td>
				<td class="main"><input name="key_id"
					value="<?php echo $display->fields['key_id']; ?>" /></td>
			</tr>
			<tr>
				<td class="main">Products to exclude (Comma Separated ID's)</td>
				<td class="main"><input name="excludes"
					value="<?php echo $display->fields['excludes']; ?>" /></td>
			</tr>
		</table>
		</td>
	</tr>
	<tr>
		<td><?php echo (($form_action == 'insert') ? zen_image_submit('button_insert.gif', IMAGE_INSERT) : zen_image_submit('button_update.gif', IMAGE_UPDATE)). '<a href="' . ($_GET['go_back'] == 'ON' ? zen_href_link(FILENAME_PRODUCTS_PRICE_MANAGER, 'products_filter=' . $_GET['add_products_id']) : zen_href_link('vs_featured_admin.php', 'page=' . $_GET['page'] . (isset($_GET['id']) ? '&id=' . $_GET['id'] : ''))) . '">' . zen_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>'; ?>
		</td>
		</form>
	</tr>
	<?php
	} else {
		if (isset($_POST['update_meta'])) {
			foreach ($_POST['meta'] as $key=>$value) {
				$sql = 'UPDATE ' . DB_PREFIX . 'vs_meta
						SET meta_value = "' . $value . '"
						WHERE meta_key = "' . $key . '"';
				$db->Execute($sql);
			}
		}

		?>
	<tr>
		<td>
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
			<tr>
				<td valign="top">
				<table border="0" width="100%" cellspacing="0" cellpadding="2">
					<tr class="dataTableHeadingRow">
						<td class="dataTableHeadingContent"><?php echo 'ID#'; ?>&nbsp;</td>
						<td class="dataTableHeadingContent">Key Type</td>
						<td class="dataTableHeadingContent">Key ID</td>
						<td class="dataTableHeadingContent">Excludes</td>
						<td class="dataTableHeadingContent">Type</td>
						<td class="dataTableHeadingContent" align="right">Action</td>
					</tr>
					<?php

					$sql = "SELECT * FROM " . DB_PREFIX . "vs_display";
					$featured = $db->Execute($sql);
					while (!$featured->EOF) {
						/*	echo '<pre>';
						 print_r($featured);
						 echo '</pre>';*/

						?>

					<tr style="background-color: #EFEFEF;">
						<td class="dataTableContent"><?php echo $featured->fields['id']; ?>&nbsp;</td>
						<td class="dataTableContent"><?php echo vs_process_for_display($featured->fields['key_type']); ?></td>
						<td class="dataTableContent"><?php echo vs_process_for_display($featured->fields['key_id']); ?></td>
						<td class="dataTableContent"><?php echo ($featured->fields['excludes'] != '' ? $featured->fields['excludes']:'-'); ?></td>
						<td class="dataTableContent"><?php echo vs_process_for_display($featured->fields['type']); ?></td>
						<td class="dataTableContent" align="right"><?php echo '<a href="' . zen_href_link('vs_featured_admin.php', 'page=' . $_GET['page'] . '&id=' . $featured->fields['id'] . '&action=edit') . '">' . zen_image(DIR_WS_IMAGES . 'icon_edit.gif', ICON_EDIT) . '</a>'; ?>
						<?php echo '<a href="' . zen_href_link('vs_featured_admin.php', 'page=' . $_GET['page'] . '&id=' . $featured->fields['id'] . '&action=delete') . '">' . zen_image(DIR_WS_IMAGES . 'icon_delete.gif', ICON_DELETE) . '</a>'; ?>
						</td>
					</tr>
					<?php
					$featured->MoveNext();
					}
					?>
				</table>

				<div style="margin-top: 20px;">
				<div class="pageHeading">VS Featured Options:</div>
				<?php
				$sql = "SELECT * FROM " . DB_PREFIX . "vs_meta";
				$meta = $db->Execute($sql);
				echo '<form method="POST"><table><col style="width: 200px;">';
				while (!$meta->EOF) {
					echo '<tr>';
					echo '<td>' . vs_process_for_display($meta->fields['meta_key']) . '</td><td><input name="meta[' . $meta->fields['meta_key'] . ']" value="' . $meta->fields['meta_value'] . '" /></td>';

					echo '</tr>';
					$meta->MoveNext();
				}
				echo '</table><input type="submit" name="update_meta" value="Update" /></form>';
				?></div>

				</td>
				<?php
	}
	?>
			</tr>
		</table>
		</td>
	</tr>
</table>
</td>
<!-- body_text_eof //-->
</tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
	<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
</body>
</html>
	<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
